v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/{siteId}/subjects
Retrieves a list of all subjects based on study ID and site ID. Rights: DataCaptureSubjectGet.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
siteId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object DCSSubject
Title:
DCSSubjectDCS Subject details.
Nested Schema : DCSSubject
Type:
objectTitle:
DCSSubjectDCS Subject details.
Show Source
-
codeBreak: string
Reveals the Treatment arm of a subject and the kits dispensed along with their description.Example:
Treatment arm B -
description: string
Subject description.Example:
Subject undergoing treatment for asthma. -
dob: string
(date)
Date of birth of the subject.Example:
2019-03-06 -
enrollmentFailure: string
Reason for enrollment failure.Example:
Enrollment failed. -
enrollmentOverride: string
Enrollment OverrideExample:
Enrollment Override. -
gender: string
Subject genderExample:
Male -
id: string
(uuid)
DCS Subject ID.
-
informedConsentDate: string
(date)
Informed consent dateExample:
2019-03-06 -
mhealthSubjectId: string
(uuid)
ID of the mhealth subject
-
randomized: boolean
Indicate if subject is randomized.Example:
true -
screeningDate: string
(date)
Date of screening of the subject at the site.Example:
2019-03-06 -
screeningFailure: string
Reason for screening failure.Example:
Screening failed. -
siteId: string
(uuid)
ID of the site.
-
state: string
Allowed Values:
[ "New", "Active", "Screening_Initiated", "Screen_Failed", "Withdrawn", "Auto_Screen_Failed" ]State of the subject.Example:Active -
stateDate: string
(date)
Date on which the subject achieved the state mentioned.Example:
2019-03-06 -
studyId: string
(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
-
studyVersion: string
String representing the version of the study configuration or protocol. Helps track changes in form or study design.Example:
1.0.0.5 -
subjectNumber: string
Subject number for the study.Example:
1-10 -
subjectTransferId: string
(uuid)
ID of the subject transfer
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2018-11-23T08:43:01Z
404 Response
The study identifier does not match any study identifiers in Clinical One or site not found.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Structure representing an error response from the reporting service. Contains an error code, human-readable message, and details.
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectStructure representing an error response from the reporting service. Contains an error code, human-readable message, and details.
Show Source
-
details: object
details
Detailed error context or debugging information such as validation error, stack trace, or field/parameter cause.
-
errorCode: string
Application or business-specific error code representing the error type.Example:
REPT_401 -
errorMessage: string
Human-readable error message describing the failure or issue.Example:
Unauthorized: User does not have access to the requested resource
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectDetailed error context or debugging information such as validation error, stack trace, or field/parameter cause.
Example:
User role is missing required permission REPORTING_VIEW. Field: userId500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Structure representing an error response from the reporting service. Contains an error code, human-readable message, and details.
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectStructure representing an error response from the reporting service. Contains an error code, human-readable message, and details.
Show Source
-
details: object
details
Detailed error context or debugging information such as validation error, stack trace, or field/parameter cause.
-
errorCode: string
Application or business-specific error code representing the error type.Example:
REPT_401 -
errorMessage: string
Human-readable error message describing the failure or issue.Example:
Unauthorized: User does not have access to the requested resource
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectDetailed error context or debugging information such as validation error, stack trace, or field/parameter cause.
Example:
User role is missing required permission REPORTING_VIEW. Field: userId